From eb952bac142ac4755d8fd2c854c9fbc1d697d557 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 14 2020 23:42:06 +0000
Subject: [PATCH 271/2232] Format with rustfmt and clang-format


---

diff --git a/gen/write.rs b/gen/write.rs
index 3f3cf4b..f930d52 100644
--- a/gen/write.rs
+++ b/gen/write.rs
@@ -365,7 +365,9 @@ fn write_cxx_function_shim(out: &mut OutFile, efn: &ExternFn, types: &Types) {
     match &efn.ret {
         Some(Type::Ref(_)) => write!(out, "&"),
         Some(Type::Str(_)) if !indirect_return => write!(out, "::rust::Str::Repr("),
-        Some(Type::SliceRefU8(_)) if !indirect_return => write!(out, "::rust::Slice<uint8_t>::Repr("),
+        Some(Type::SliceRefU8(_)) if !indirect_return => {
+            write!(out, "::rust::Slice<uint8_t>::Repr(")
+        }
         _ => {}
     }
     write!(out, "{}$(", efn.ident);
@@ -762,9 +764,12 @@ fn write_type_space(out: &mut OutFile, ty: &Type) {
 
 fn write_space_after_type(out: &mut OutFile, ty: &Type) {
     match ty {
-        Type::Ident(_) | Type::RustBox(_) | Type::UniquePtr(_) | Type::Str(_) | Type::SliceRefU8(_) | Type::Fn(_) => {
-            write!(out, " ")
-        }
+        Type::Ident(_)
+        | Type::RustBox(_)
+        | Type::UniquePtr(_)
+        | Type::Str(_)
+        | Type::SliceRefU8(_)
+        | Type::Fn(_) => write!(out, " "),
         Type::Ref(_) => {}
         Type::Void(_) | Type::Slice(_) => unreachable!(),
     }
diff --git a/syntax/impls.rs b/syntax/impls.rs
index b040753..d3c4b0f 100644
--- a/syntax/impls.rs
+++ b/syntax/impls.rs
@@ -114,10 +114,7 @@ impl Eq for Slice {}
 
 impl PartialEq for Slice {
     fn eq(&self, other: &Slice) -> bool {
-        let Slice {
-            bracket: _,
-            inner,
-        } = self;
+        let Slice { bracket: _, inner } = self;
         let Slice {
             bracket: _,
             inner: inner2,
@@ -128,10 +125,7 @@ impl PartialEq for Slice {
 
 impl Hash for Slice {
     fn hash<H: Hasher>(&self, state: &mut H) {
-        let Slice {
-            bracket: _,
-            inner,
-        } = self;
+        let Slice { bracket: _, inner } = self;
         inner.hash(state);
     }
 }
diff --git a/syntax/parse.rs b/syntax/parse.rs
index 6156a69..95dd67c 100644
--- a/syntax/parse.rs
+++ b/syntax/parse.rs
@@ -230,14 +230,12 @@ fn parse_type(ty: &RustType) -> Result<Type> {
 fn parse_type_slice(ty: &TypeSlice) -> Result<Type> {
     let inner = parse_type(&ty.elem)?;
     let which = match &inner {
-        Type::Ident(ident) if ident == "u8" => {
-            Type::Slice
-        },
-        _ => return Err(Error::new_spanned(ty, "unsupported type"))
+        Type::Ident(ident) if ident == "u8" => Type::Slice,
+        _ => return Err(Error::new_spanned(ty, "unsupported type")),
     };
     Ok(which(Box::new(Slice {
         bracket: ty.bracket_token,
-        inner
+        inner,
     })))
 }
 
@@ -251,14 +249,10 @@ fn parse_type_reference(ty: &TypeReference) -> Result<Type> {
                 Type::Str
             }
         }
-        Type::Slice(inner2) => {
-            match &inner2.inner {
-                Type::Ident(ident) if ident == "u8" => {
-                    Type::SliceRefU8
-                }
-                _ => return Err(Error::new_spanned(ty, "unsupported type"))
-            }
-        }
+        Type::Slice(inner2) => match &inner2.inner {
+            Type::Ident(ident) if ident == "u8" => Type::SliceRefU8,
+            _ => return Err(Error::new_spanned(ty, "unsupported type")),
+        },
         _ => Type::Ref,
     };
     Ok(which(Box::new(Ref {
